# Extend Class

Defined in: `js/util/Extend.js:17`
Module: util
Parent Module: StructureJS

A helper method to extend classes.

## Index

Show: Inherited Protected Private Deprecated

## Constructor

### `Extend`
(

- `inheritorClass`
- `baseClass`

)

Defined in `js/util/Extend.js:17`

#### Parameters:

- `inheritorClass` Object
- `baseClass` Object

#### Returns:

:

#### Example:

    var AnotherClass = (function () {

        var _super = Extend(AnotherClass, BaseClass);

        function AnotherClass() {
            _super.call(this);
        }

        return AnotherClass;
    })();